function F = SumForces(p,bodies,n)

F = zeros(1,6);
fcn = get(p,'ForceFcns');
for nn = 1:p.n_Forces
  Force = fcn{nn}(p,bodies,n);
  p.Forces{nn}(floor(n),:) = ones(1,6);
  p.Forces{nn}(floor(n),:)
  %p.Forces{nn}(floor(n),:) = ones(1,6);
  F = F + Force;    
end

end